ch.qos.logback.access.boolex

## Class JaninoEventEvaluator

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.boolex.EventEvaluatorBase<E>
    - - ch.qos.logback.core.boolex.JaninoEventEvaluatorBase<IAccessEvent>
      - - ch.qos.logback.access.boolex.JaninoEventEvaluator

All Implemented Interfaces:
  EventEvaluator<IAccessEvent>, ContextAware, LifeCycle

    public class JaninoEventEvaluator
    extends JaninoEventEvaluatorBase<IAccessEvent>

### Field Summary

Fields
`static List<String>` `DEFAULT_PARAM_NAME_LIST`
`static List<Class>` `DEFAULT_PARAM_TYPE_LIST`

### Fields inherited from class ch.qos.logback.core.boolex.JaninoEventEvaluatorBase

`ERROR_THRESHOLD, matcherList`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`JaninoEventEvaluator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getDecoratedExpression()`
`protected String[]` `getParameterNames()`
`protected Class[]` `getParameterTypes()`
`protected Object[]` `getParameterValues(IAccessEvent accessEvent)`

### Methods inherited from class ch.qos.logback.core.boolex.JaninoEventEvaluatorBase

`addMatcher, evaluate, getExpression, getMatcherList, setExpression, start`

### Methods inherited from class ch.qos.logback.core.boolex.EventEvaluatorBase

`getName, isStarted, setName, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Field Detail

#### DEFAULT_PARAM_NAME_LIST

    public static final List<String> DEFAULT_PARAM_NAME_LIST

#### DEFAULT_PARAM_TYPE_LIST

    public static final List<Class> DEFAULT_PARAM_TYPE_LIST

### Constructor Detail

#### JaninoEventEvaluator

    public JaninoEventEvaluator()

### Method Detail

#### getDecoratedExpression

    protected String getDecoratedExpression()

Specified by:
  `getDecoratedExpression` in class `JaninoEventEvaluatorBase<IAccessEvent>`

#### getParameterNames

    protected String[] getParameterNames()

Specified by:
  `getParameterNames` in class `JaninoEventEvaluatorBase<IAccessEvent>`

#### getParameterTypes

    protected Class[] getParameterTypes()

Specified by:
  `getParameterTypes` in class `JaninoEventEvaluatorBase<IAccessEvent>`

#### getParameterValues

    protected Object[] getParameterValues(IAccessEvent accessEvent)

Specified by:
  `getParameterValues` in class `JaninoEventEvaluatorBase<IAccessEvent>`